classification
Title: test_recursion_limit fails on OS X when compiled with clang
Type: crash Stage: resolved
Components: Tests Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ned.deily Nosy List: dk, meador.inge, ned.deily, python-dev
Priority: normal Keywords: patch

Created on 2012-03-03 18:24 by dk, last changed 2012-03-13 18:36 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
test dk, 2012-03-03 18:26
issue14184.patch ned.deily, 2012-03-12 22:55 review
issue14184_rev1.patch ned.deily, 2012-03-13 01:06 review
Messages (5)
msg154844 - (view) Author: Dionysios Kalofonos (dk) * Date: 2012-03-03 18:26
python compiled with 

./configure --with-pydebug CC=clang MACOSX_DEPLOYMENT_TARGET=10.7
make EXTRA_CFLAGS="-Wno-unused-value -Wno-empty-body -Qunused-arguments"
msg155508 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-03-12 22:55
3.2 also fails when compiled on 10.7 with clang.  Issue9670 had increased the secondary stack size for OS X and FreeBSD by an empirically-determined amount to reduce the chance of crashes for recursive function calls. Continuing that somewhat kludgey strategy, the attached patch increases the stack size on OS X to a value such that the test no longer crashes.  It also separates the values for FreeBSD and OS X.
msg155549 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-03-13 01:06
It looks like the increase isn't quite big enough for the clang in Xcode 4.2.  Revised patch uses a slightly bigger size.
msg155641 - (view) Author: Roundup Robot (python-dev) Date: 2012-03-13 18:33
New changeset 246e681a4272 by Ned Deily in branch '3.2':
Issue #14184: Increase the default stack size for secondary threads on
http://hg.python.org/cpython/rev/246e681a4272

New changeset c00ac2b25048 by Ned Deily in branch 'default':
Issue #14184: merge
http://hg.python.org/cpython/rev/c00ac2b25048
msg155642 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-03-13 18:36
Thanks for the report.  Fix applied for 3.2.x (for release in 3.2.4) and default (for 3.3.0).
History
Date User Action Args
2012-03-13 18:36:29ned.deilysetstatus: open -> closed
type: crash
messages: + msg155642

resolution: fixed
stage: patch review -> resolved
2012-03-13 18:33:11python-devsetnosy: + python-dev
messages: + msg155641
2012-03-13 01:06:23ned.deilysetfiles: + issue14184_rev1.patch

messages: + msg155549
2012-03-12 22:55:19ned.deilysetfiles: + issue14184.patch
versions: + Python 3.2
messages: + msg155508

keywords: + patch
stage: needs patch -> patch review
2012-03-05 04:51:16meador.ingesetnosy: + meador.inge
2012-03-04 02:35:05ned.deilysetassignee: ned.deily

nosy: + ned.deily
stage: needs patch
title: test_recursion_limit -> test_recursion_limit fails on OS X when compiled with clang
2012-03-03 18:26:13dksetfiles: + test

messages: + msg154844
components: + Tests
versions: + Python 3.3
2012-03-03 18:24:10dkcreate